<?php 

namespace Teknisa\FIN\Modules\MovimentacaoBancaria\Services;

use Teknisa\Libs\Util\XLS\Error;

class ImportacaoOrcamentoFinanceiroError extends Error{
    
    protected $dbRelatedField;
    
    public function __construct($message, $row, $column = NULL, $columnName = NULL, $dbRelatedField = NULL){
        parent::__construct($message, $row, $column, $columnName);
        $this->dbRelatedField = $dbRelatedField;
    }
    
    public function getDbRelatedField(){
        return $this->dbRelatedField;
    }
    
    public function setDbRelatedField($dbRelatedField){
        $this->dbRelatedField = $dbRelatedField;
    }
    
    public function toArray(){
        return array(
            'message' => $this->message,
            'row' => $this->row,
            'column' => $this->column,
            'columnName' => $this->columnName,
            'dbRelatedField' => $this->dbRelatedField
        );
    }
    
}