function Bco21110_MovimentacaoBancariaConsolidada_Controller(General, ScreenService, templateManager, ZhFilterPreferences) {

    var self = this;

    this.openFilter = function(widget){
        var rowSetFilter = {};
        ZhFilterPreferences.openFilterWidget(widget, rowSetFilter);
    };
    
    self.buildFilter = function (widget, preference) {
        var filterRow = preference.FILTER_ROW;
        
    	preference.FILTER_ROW = {};
    	preference.CUSTOM_FILTER_ROW = {};
        
        var filtro = [
            {
                "name": "P_CDEMPRESA",
                "operator": "=",
                "value": filterRow.CDEMPRESA ? filterRow.CDEMPRESA.join('_') : ''
            },
            {
                "name": "P_TCDEMPRESA",
                "operator": "=",
                "value": filterRow.CDEMPRESA ? '' : 'T'
            },
            {
                "name": "P_DTINICIAL",
                "operator": "=",
                "value": filterRow.DTPERIODO.start
            },
            {
                "name": "P_DTFINAL",
                "operator": "=",
                "value": filterRow.DTPERIODO.end
            },
            {
                "name": "P_CDREDUCONT",
                "operator": "=",
                "value": filterRow.CDREDUCONT ? filterRow.CDREDUCONT.join('_') : ''
            },
            {
                "name": "P_TCDREDUCONT",
                "operator": "=",
                "value": filterRow.CDREDUCONT ? '' : 'T'
            },
        ];
        
        preference.FILTER_ROW = filtro;
        widget.dataSourceFilter = filtro; 
        
        widget.reload();
        
    };
    
    this.changeHeaderValues = function(args){
        var filter = args.e.metadata.filter;
        // var newFilter = [];
        
        // filter.forEach(function(x){
        //     if(x.value != "é igual a."){
        //         newFilter.push(x);
        //     }
        // });
        
        // var correctFilter = [];
        // var value;
        
        // newFilter.forEach(function(aux){
        //     if(aux.value.match(/é igual a/)){
        //         value = aux.value.substr(11);
        //         aux.value = value;
        //         correctFilter.push(aux);
        //     }else if(aux.value.match(/está entre/)){
        //         value = aux.value.substr(11);
        //         aux.value = value;
        //         correctFilter.push(aux);
        //     }
        // });
        
        // args.e.metadata.filter = correctFilter;    
    };

}

Configuration(function (ContextRegister) {
	ContextRegister.register('Bco21110_MovimentacaoBancariaConsolidada_Controller', Bco21110_MovimentacaoBancariaConsolidada_Controller);
});