function BCO22100_Relacao_de_cheques_Controller(General, ScreenService, templateManager, ZhFilterPreferences) {

    var self = this;
    
    this.filter = function(args, preference) {
        var filterRow = preference.FILTER_ROW;
         
        var filtro = [];
        
        filtro = [
            {
                'name': 'P_DTINI',
                'operator': '=',
                'value': (filterRow.DTINEM.start && filterRow.DTINEM.start != '') ? filterRow.DTINEM.start : null
            },
            {
                'name': 'P_DTFIN',
                'operator': '=',
                'value': (filterRow.DTINEM.end && filterRow.DTINEM.end != '') ? filterRow.DTINEM.end : null
            },
            {
                'name': 'P_DTCOMPINI',
                'operator': '=',
                'value': (filterRow.DTCOM.start && filterRow.DTCOM.start != '') ? filterRow.DTCOM.start : null
            },
            {
                'name': 'P_DTCOMPFIN',
                'operator': '=',
                'value': (filterRow.DTCOM.end && filterRow.DTCOM.end != '') ? filterRow.DTCOM.end : null
            },
            {
                'name': 'P_NRCHEQUEINI',
                'operator': '=',
                'value': (filterRow.NRCHEQUEINI && filterRow.NRCHEQUEFIN) ? filterRow.NRCHEQUEINI : null
            },
            {
                'name': 'P_NRCHEQUEFIN',
                'operator': '=',
                'value': (filterRow.NRCHEQUEINI && filterRow.NRCHEQUEFIN) ? filterRow.NRCHEQUEFIN : null
            },
            {
                'name': 'P_STATUS',
                'operator': '=',
                'value': (filterRow.IDSTATUS) ? filterRow.IDSTATUS.join('_') : null
            },
            {
                'name': 'P_CDEMPRESA',
                'operator': '=',
                'value': (filterRow.CDEMPRESA) ? filterRow.CDEMPRESA.join('_') : null
            },
            {
                'name': 'P_CDREDUCONT',
                'operator': '=',
                'value': (filterRow.CDREDUCONT) ? filterRow.CDREDUCONT.join('_') : null
            }
        ];
        
        preference.CUSTOM_FILTER_ROW = [];
        args.dataSourceFilter = filtro;
    };
    
    
}

Configuration(function (ContextRegister) {
	ContextRegister.register('BCO22100_Relacao_de_cheques_Controller', BCO22100_Relacao_de_cheques_Controller);
});