function Pag23000_RelatorioEndividamento_Controller(ZhFilterPreferences) {
    
    /**
     * Variáveis de Inicialização
     **/
     
    var self = this;
    
    /**
     * Abertura do Filtro de Relatório
     * @param widget 
     */

    self.openFilterRelatorio = function(widget){
        ZhFilterPreferences.openFilterWidget(widget);
    };
    
    self.filterRelatorio = function(widget, preference){
         
        var cdEmpresa = preference.FILTER_ROW.CDEMPRESA;
        var cdForneced = preference.FILTER_ROW.CDFORNECED;
        var vrEmpIni = preference.FILTER_ROW.VREMPINI;
        var vrEmpFin = preference.FILTER_ROW.VREMPFIN;
        var tvRemp = preference.FILTER_ROW.TVREMP;
        var tdTemp = preference.FILTER_ROW.TDTEMP;
        var tcdEmpresa = preference.FILTER_ROW.TCDEMPRESA;
        var tcdForneced = preference.FILTER_ROW.TCDFORNECED;
        var dtcontratoemp = preference.FILTER_ROW.DTCONTRATOEMP;
        var dtPosicao = preference.FILTER_ROW.DTPOSICAO;
        
        if(vrEmpIni === undefined){
            tvRemp = 'T';
        }else{
            tvRemp = '';
        }
        
        if(cdEmpresa === undefined || cdEmpresa.length === 0){
            tcdEmpresa = 'T';
        }else{
            tcdEmpresa = '';
        }
        
        if(cdForneced === undefined || cdForneced.length === 0){
            tcdForneced = 'T';
        }else{
            tcdForneced = '';
        }
        
        if(dtcontratoemp === undefined || dtcontratoemp.start === ''){
            tdTemp = 'T';
        }else{
            tdTemp = '';
        }
        
        widget.dataSourceFilter.forEach(function(filtro){
            switch(filtro.name){
                case 'CDEMPRESA':
                    filtro.value = cdEmpresa?cdEmpresa.join("_"): '';
                break;
                case 'TCDEMPRESA':
                    filtro.value = tcdEmpresa?tcdEmpresa:'';
                break;
                case 'CDFORNECED':
                    filtro.value = cdForneced?cdForneced.join("_"):'';
                break;
                case 'TCDFORNECED':
                    filtro.value = tcdForneced?tcdForneced:'';
                break;
                case 'VREMPINI':
                    filtro.value = vrEmpIni?vrEmpIni:'';
                break;
                case 'VREMPFIN':
                    filtro.value = vrEmpFin?vrEmpFin:'';
                break;
                case 'TVREMP':
                    filtro.value = tvRemp?tvRemp:'';
                break;
                case 'TDTEMP':
                    filtro.value = tdTemp?tdTemp:'';
                break;
                case 'DTEMPINI':
                    filtro.value = dtcontratoemp.start;
                break;
                case 'DTEMPFIN':
                    filtro.value = dtcontratoemp.end;
                break;
                case 'DTPOSICAO':
                    filtro.value = dtPosicao?dtPosicao:'';
                break;
            }
        });
        delete preference.FILTER_ROW.DTCONTRATOEMP;
        preference.CUSTOM_FILTER_ROW = {};
    };
    
}
Configuration(function (ContextRegister) {
	ContextRegister.register('Pag23000_RelatorioEndividamento_Controller', Pag23000_RelatorioEndividamento_Controller);
});